import 'dart:io';

import 'package:http/http.dart' as http;
import 'package:http_parser/src/media_type.dart';

///文件上传
void uploadFile(String url, String filepath, String name) async {
  var postUri = Uri.parse(url);
  var request = new http.MultipartRequest("POST", postUri);
  var data = await new File(filepath).readAsBytes();
  request.files.add(new http.MultipartFile.fromBytes('file', data, filename: name, contentType: new MediaType('image', 'jpeg')));

  request.send().then((response) {
    if (response.statusCode == 200) {
      print("Uploaded!");
    }
  });
}
//
//void main(List<String> args) async {
//  await uploadFile('http://11.163.171.124:8080/filereload', '/Users/chenxinxin/code/dartserver/server.snapshot', 'ABC');
//}