import 'package:saker/framework/hessian/hessian1_output.dart';
import 'package:saker/framework/hessian/hessian2_output.dart';

typedef dynamic generic_hessian_func(dynamic v);

abstract class HessianObjectBase {
  String getRType();

  void writeHessian1(Hessian1Output _out, Map<String,generic_hessian_func> genericMap);
  void writeHessian2(Hessian2Output _out, Map<String,generic_hessian_func> genericMap);
}