library dart_tair_extension;

//import 'dart-ext:file:///usr/local/lib/dart_tair_extension';
import 'dart:isolate';

import 'dart-ext:dart_tair_extension';

int tair_init(String app_name,String user_name/*tair控制页面称呼*/,int api_timeout,int local_cache_size,int local_cache_timeout,
    String log_path,String log_level, {int io_thread_cnt :2}) native "dart_tair_ext_init";
int tair_close(String user_name) native "tair_close";
//sync
int tair_put(int tcAddress,String key,String value, int tairCacheTimeout,int version) native "tair_put";
String tair_get(int tcAddress,String key) native "tair_get";
int tair_invalidate(int tcAddress,String key) native "tair_invalidate";
//async
int tair_put_async(int tcAddress,String key,String value, int tairCacheTimeout,int version, SendPort port, int eventId,
    String traceId, String rpcId,String user_name) native "tair_put_async";
int tair_get_async(int tcAddress,String key,SendPort port, int eventId, String traceId, String rpcId,String user_name, int valueFormat) native "tair_get_async";
int tair_rm_async(int tcAddress,String key,SendPort port, int eventId, String traceId, String rpcId,String user_name) native "tair_remove_async";
List tair_get_response(SendPort port) native "tair_get_response";

int tair_value_java_format = 0x01;
int tair_value_string = 0x02;
int tair_value_int32 = 0x04;
int tair_value_int64 = 0x08;

enum TairValueType{
  tair_value_string,
  tair_value_int32,
  tair_value_int64
}