typedef HandleEvt(TrafficGuardEvt cmd);

/**
 * General Event
 */
class TrafficGuardEvt {
  static const GUARD_EVT_RUNTIME_FAILED = 2;
  static const GUARD_EVT_HEALTH         = 1;
  static const GUARD_EVT_UPSTREAM       = 100;
  static const GUARD_EVT_CMD_STOP       = 10;
  static const GUARD_EVT_CMD_START      = 20;
  static const GUARD_EVT_CMD_SHUTDOWN   = 30;
  static const LABOUR_EVT_START         = 1001;
  static const LABOUR_EVT_CLOSE         = 1002;
  static const LABOUR_EVT_UPSTREAM      = 1003;

  int   _eventKey;
  List  _msg;

  TrafficGuardEvt(this._eventKey, {List message}) {
    this._msg = message;
  }

  int          get eventKey => _eventKey;
  List         get msg      => _msg;
  set eventKey(int key)     => _eventKey = key;
  set msg(List msg)         => _msg = msg;

  @override
  String toString() {
    return "{\"eventKey\":$_eventKey," "\"msg\":$_msg}";
  }
}
