@TestOn("linux || mac-os")

import 'package:saker/framework/environment/env_base.dart';
import 'package:test/test.dart';

import 'test_base.dart';

EnvBase _envBase;

void main() {
  setUp(() async {
    TestBase.initConfFile();

    _envBase = new EnvTest(null);
    _envBase.init(DART_TEST_ROOT, 'TEST');
  });

  group('环境变量', () {
    test('框架环境变量', () {
      expect(EnvFramework.httpPort, 8080);
      expect(EnvFramework.appName, 'dart-test');
      expect(EnvFramework.env, 1);
      expect(EnvFramework.envStr, 'daily');
    });
  });
}

