// use new hotness: StringBuffer
buildWithStringBuffer() {
  var sb = new StringBuffer();

  for (var i = 9999; i > 0; i--) {
    sb.write(i.toString());
    sb.write(" beers on the wall\n");
  }

  var finalString = sb.toString();
}

// use old school + for string concatenation
buildWithConcat() {
  var s = '';

  for (var i = 9999; i > 0; i--) {
    s += i.toString();
    s += " beers on the wall\n";
  }

  var finalString = s;
}

// wrap a function fn with the Stopwatch class to time execution
measure(fn) {
  var sw = new Stopwatch()
    ..start();
  fn();
  sw.stop();
  print(sw.elapsedMilliseconds) ;
}

// the following timings are from the Dart VM
// smaller is faster is better

void main(){
  measure(buildWithStringBuffer); // 20

  measure(buildWithConcat); // 3574 !!
}