@TestOn("linux || mac-os")

import 'package:test/test.dart';
import 'dart:convert';

void main() {
  group('Map转换', () {
    test('Map-1', () {

      String s = '{"A":1,"B":1.1, "C":true}';

      Map<String, dynamic> m1 = json.decode(s) as Map<String, dynamic>;

      expect(m1['A'], 1);
    });
  });

  group('Map转换', () {
    test('Map-2', () {
      Map<String, dynamic> m =  {'A':1.1,'B':1.2,'C':1.3};

      String s = json.encode(m);

      Map<String, double> m1 = (json.decode(s) as Map)?.cast();

      expect(m1['B'], 1.2);
    });
  });

  group('Map转换', () {
    test('Map-3', () {
      String s = '{"A":1,"B":1.1, "C":true}';

      var m1 = json.decode(s);

      expect(m1 is Map<String, dynamic>, true);
    });
  });
}

