@TestOn("linux || mac-os")

import 'package:saker/common/utils/string_utils.dart';
import 'package:test/test.dart';

void main() {
  group('URL分析', () {
    test('UrlEncode', () {
      var uri = 'http://baidu.com/sfs?foo=some message测试 + #';

      var encoded = StringUtils.urlEncodeOnlyParams(uri);
      expect(encoded, 'http://baidu.com/sfs?foo=some%20message%E6%B5%8B%E8%AF%95%20+%20#');

      var decoded = StringUtils.urlDecodeOnlyParams(encoded);
      expect(decoded, 'http://baidu.com/sfs?foo=some message测试 + #');

//      String encodedString = StringUtils.urlEncode(uri.split("?")[1]);
//      expect(encodedString, 'foo%3dsome%20message%e6%b5%8b%e8%af%95%20%2b%20%23');
//
//      String decodedString = StringUtils.urlEncode("http%3a%2f%2fbaidu.com%2fsfs%3ffoo%3dsome message%e6%b5%8b%e8%af%95+%2b+%23");
//      expect(decodedString, 'http://baidu.com/sfs?foo=some message测试 + #');
    });
  });
}