import 'dart:math';
import 'package:convert/convert.dart' as convert;

///计算UUID
class UuidUtil {
  static List<int> mathRNG({int seed: null}) {
    int rand;
    List<int> b = new List<int>(16);

    var _rand = (seed == null) ? new Random() : new Random(seed);
    for (var i = 0; i < 16; i++) {
      if ((i & 0x03) == 0) {
        rand = (_rand.nextDouble() * 0x100000000).floor().toInt();
      }
      b[i] = rand >> ((i & 0x03) << 3) & 0xff;
    }

    return b;
  }

  static String getUuid() {
    var hex = mathRNG();
    return convert.hex.encode(hex);
  }
}