import 'package:saker/framework/jsonserializer/utils.dart';
import 'package:saker/framework/log/log.dart';

class BaasSDKConfigAliyun {
  String appID;
  String envId;
  String masterKey;

  String host;
  int port;
  String schema;
  Logger logger;

  String toString(){
    return "appID:$appID, envId:$envId, masterKey:$masterKey, host:$host, port:$port, schema:$schema";
  }

  void fromJson(Map<dynamic, dynamic> json) {
    readFromJsonPBaasSDKConfigAliyun(this as BaasSDKConfigAliyun, json);
  }

  void readFromJsonPBaasSDKConfigAliyun(BaasSDKConfigAliyun c, Map<dynamic, dynamic> json) {
    //从Map转成对象的实现
    c.appID = JsonUtil.parseString(json['appID']);
    c.envId = JsonUtil.parseString(json['envId']);
    c.masterKey = JsonUtil.parseString(json['masterKey']);
    c.host = JsonUtil.parseString(json['host']);
    c.port = JsonUtil.parseInt(json['port']);
    c.schema = JsonUtil.parseString(json['schema']);

  }
}

BaasSDKConfigAliyun baasSDKConfigAliyun = new BaasSDKConfigAliyun();
