import 'dart:io';

class HttpConnPool {
  Map<String, HttpClient> httpPool = {};

  HttpClient getConnection(String host) {
    if (httpPool.containsKey(host)) {
      return httpPool[host];
    }
    HttpClient _httpClient = new HttpClient();
    httpPool[host] = _httpClient;
    return _httpClient;
  }
}

HttpConnPool httpConnPool = new HttpConnPool();