
class BaasFileOpResult{
  bool success;
  String filePath;
  String errMsg;
}


const Duration baasFileTimeout = const Duration(seconds: 4);

abstract class OSSFile{

  Future<BaasFileOpResult> upload(String filePath, {Duration timeout : baasFileTimeout});
  Future<BaasFileOpResult> delete(String fileName, {Duration timeout : baasFileTimeout});
  Future<BaasFileOpResult> download(String fileName, {Duration timeout : baasFileTimeout});
}