library dart_spdlog_extension;

//import 'dart-ext:file:///usr/local/lib/dart_spdlog_extension';
import 'dart-ext:dart_spdlog_extension';

enum LogLevel{
	trace,
	debug,
	info ,
	warn ,
	err ,
	critical,
	off 
}

LogLevel getLogLevel(String loglevel) {
	String level = loglevel.toLowerCase();
	if ("trace" == level) {
			return LogLevel.trace;
	}
	if ("debug" == level) {
		return LogLevel.debug;
	}
	if ("info" == level) {
		return LogLevel.info;
	}
	if ("warn" == level) {
		return LogLevel.warn;
	}
	if ("err" == level || "error" == level) {
		return LogLevel.err;
	}
	if ("critical" == level) {
		return LogLevel.critical;
	}
	return LogLevel.err;
}

enum LogFileType{
	rotate_log,
	daily_log 
}

int spdlog_init() native "spdlog_init";
int spdlog_close() native "spdlog_close";
int spdlog_write(int logger_addr,int log_level, String log_str) native "spdlog_write";
int register_logger(String log_name, int log_type, String log_path, int log_level, int max_rotate_file_size, int max_rotate_file_cnt) native "register_logger";

int service_statistic_register(String service_name,int time_in_ms) native "service_statistic_register";
int service_statistic_add_and_fetch(int statistic_address, int value,int time_in_ms) native "service_statistic_add_and_fetch";
int service_statistic_fetch_qps(int statistic_address,int time_in_ms) native "service_statistic_fetch_qps";
