import 'package:df_api/df_func.dart';
import 'package:saker/framework/environment/env_base.dart';
import 'package:saker/framework/reloader/reloader_main.dart';
import 'package:args/args.dart';
import 'package:saker/framework/services/service_base.dart';

EnvBase _envBase;

void main(List<String> args){

  var parser = new ArgParser()..addOption('root', defaultsTo: '');
  var argMap = parser.parse(args);
  _envBase = new SakerApp();
  _envBase.init(argMap['root'] as String, '');
  EnvBase.getEnv = () => _envBase;
  startMainApp();
}


class SakerApp extends EnvBase {

  @override
  Map<String, ServiceBase> getServiceEntries(){}

  @override
  void init(String root, String tag){}

  @override
  void initApp(){}

  @override
  void initIsolate(){}

  @override
  void releaseIsolate(){}

  @override
  void closeApp(){}

  @override
  FunctionService getFunctionService() {
    // TODO: implement getFunctionService
    return null;
  }
}


